------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-06-24
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(59, 49)
CppScriptMgr:NpcCallOut("Well done! My music partner!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Lafer", 150, 430, "Raphael", 250, 655, false)
CppScriptMgr:SetViewScale(300)
CppScriptMgr:PlaySound("Sound/travelpet423_0060.wav", 1, true)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061930, 59, 47, "Raphael", 0, 0)
local npc_1 = CppScriptMgr:AddSimplePlayer(1057706, 52, 51, "", 0, 0)
npc_1:SetDir(6)
local npc_2 = CppScriptMgr:AddSimplePlayer(1057746, 54, 55, "", 0, 0)
npc_2:SetDir(6)
local npc_3 = CppScriptMgr:AddSimplePlayer(1057906, 49, 51, "", 0, 0)
npc_3:SetDir(6)
local npc_4 = CppScriptMgr:AddSimplePlayer(1058036, 49, 46, "", 0, 0)
npc_4:SetDir(6)
local npc_5 = CppScriptMgr:AddSimplePlayer(1060494, 68, 57, "", 0, 0)
npc_5:SetDir(4)
local npc_6 = CppScriptMgr:AddSimplePlayer(1058094, 67, 61, "", 0, 0)
npc_6:SetDir(4)
local npc_7 = CppScriptMgr:AddSimplePlayer(1058124, 71, 55, "", 0, 0)
npc_7:SetDir(4)
local npc_8 = CppScriptMgr:AddSimplePlayer(1060422, 74, 53, "", 0, 0)
npc_8:SetDir(2)
local npc_9 = CppScriptMgr:AddSimplePlayer(1060542, 68, 54, "", 0, 0)
npc_9:SetDir(2)
local npc_10 = CppScriptMgr:AddSimplePlayer(1062240, 43, 52, "", 0, 0)
npc_10:SetDir(5)
local npc_11 = CppScriptMgr:AddSimplePlayer(1062330, 48, 58, "", 0, 0)
npc_11:SetDir(5)
local npc_12 = CppScriptMgr:AddSimplePlayer(1062340, 42, 47, "", 0, 0)
npc_12:SetDir(5)
local npc_13 = CppScriptMgr:AddSimplePlayer(1062400, 54, 64, "", 0, 0)
npc_13:SetDir(5)
local npc_14 = CppScriptMgr:AddSimplePlayer(1062120, 69, 68, "", 0, 0)
npc_14:SetDir(2)
local npc_15 = CppScriptMgr:AddSimplePlayer(1062460, 71, 61, "", 0, 0)
npc_15:SetDir(4)
local npc_16 = CppScriptMgr:AddSimplePlayer(1062750, 73, 58, "", 0, 0)
npc_16:SetDir(4)
CppScriptMgr:WaitMilSec(530)
npc_0:SetAction(190)
CppScriptMgr:WaitMilSec(1470)
CppScriptMgr:NpcCallOut("The tricks of the Discord Group can`t stump us!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Lafer", 150, 430, "Raphael", 250, 655, false)
CppScriptMgr:WaitMilSec(170)
npc_0:SetAction(101)
CppScriptMgr:WaitMilSec(1830)
CppScriptMgr:NpcCallOut("The bandsmen are ready. Enjoy the performance!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Lafer", 150, 430, "Raphael", 250, 655, false)
CppScriptMgr:WaitMilSec(1650)
local effect_7 = CppScriptMgr:AddEffect("zf2-e233", 59, 47, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:PlaySound("Sound/travelpet423_0230.wav", 1, true)
CppScriptMgr:WaitMilSec(380)
npc_0:SetHide(1)
npc_0:SetName("")
CppScriptMgr:WaitMilSec(610)
local effect_0 = CppScriptMgr:AddEffect("DoubleDance-999", 59, 51, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("DoubleDance-999", 57, 47, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("DoubleDance-999", 61, 47, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("DoubleDance-999", 59, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(430)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061460, 59, 51, "Miko", 0, 0)
local Player_2 = CppScriptMgr:AddSimplePlayer(1061780, 57, 47, "Antonio", 0, 0)
local Player_3 = CppScriptMgr:AddSimplePlayer(1061470, 61, 47, "Maria", 0, 0)
local Player_4 = CppScriptMgr:AddSimplePlayer(1061790, 59, 44, "Conner", 0, 0)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(190)
CppScriptMgr:NpcCallOut("Your energy is amazing!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Maria", 150, 430, "Maria", 250, 655, false)
Player_2:SetAction(190)
Player_3:SetAction(190)
Player_4:SetAction(190)
CppScriptMgr:WaitMilSec(1920)
CppScriptMgr:PlaySound("Sound/travelpet423_0230.wav", 1, true)
CppScriptMgr:WaitMilSec(110)
CppScriptMgr:NpcCallOut("Thank you for your support all along!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "2024sqhd_Cornell", 150, 430, "Conner", 250, 655, false)
CppScriptMgr:WaitMilSec(1970)
npc_3:SetAction(008)
local effect_4 = CppScriptMgr:AddEffect("NEW-flower-smallrain", 57, 70, 33, 1, 1, 1)
effect_4:Scale(2, 2, 2)
local effect_5 = CppScriptMgr:AddEffect("scene_app", 59, 49, 33, 1, 1, 1)
npc_1:SetAction(008)
npc_2:SetAction(008)
npc_4:SetAction(008)
npc_5:SetAction(008)
npc_6:SetAction(008)
npc_7:SetAction(008)
npc_8:SetAction(008)
npc_9:SetAction(008)
npc_10:SetAction(008)
npc_11:SetAction(008)
npc_12:SetAction(008)
npc_13:SetAction(008)
npc_15:SetAction(008)
npc_16:SetAction(008)
Player_1:SetAction(12)
Player_2:SetAction(12)
Player_3:SetAction(12)
Player_4:SetAction(12)
CppScriptMgr:WaitMilSec(2270)
local effect_6 = CppScriptMgr:AddEffect("scene_app", 58, 49, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1470)